package cz.moneta.test.dsl.forte;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.forte.pages.ForteHomePage;
import cz.moneta.test.harness.endpoints.forte.ForteEndpoint;
import cz.moneta.test.harness.support.web.Builders;

public class Forte {

    private final Harness harness;
    private ForteEndpoint forteEndpoint;

    public Forte(Harness harness) {
        this.harness = harness;
    }

    public ForteHomePage openForteHomePage() {
        forteEndpoint = harness.getEndpoint(ForteEndpoint.class);
        forteEndpoint.openApplication();
        return Builders.newWebFlowBuilder(ForteHomePage.class, forteEndpoint, harness);
    }
}
